Subject: Re: [PATCH] reduce page overlap of GiST indexes built using sorted method

From: Andrey Borodin <[email-masked]>
Date: Sun, 23 Jan 2022 14:33:29 +0500

> 19 янв. 2022 г., в 09:31, Andrey Borodin <[email-masked]> написал(а):
>> 
>> I've addressed Andrey Borodin's concerns about v2 of this patch by Aliaksandr
>> Kalenik in attached version. 
> 
> Thank you! I'll make a new iteration of review. From a first glance everything looks good, but gist_sorted_build_page_buffer_size haven't any documentation....

I've made one more iteration. The code generally looks OK to me.

Some nitpicking:
1. gist_sorted_build_page_buffer_size is not documented yet
2. Comments correctly state that check for interrupts is done once per whatever. Let's make "whatever" == "1 page flush" again.
3. There is "Size i" in a loop. I haven't found usage of Size, but many size_t-s. For the same purpose in the same file mostly "int i" is used.
4. Many multiline comments are formatted in an unusual manner.

Besides this I think the patch is ready for committer.

Thanks!

Best regards, Andrey Borodin.